# $Revision: 1.37 $, $Date: 2006/08/29 20:30:12 $
# TODO
# - optflags, cc
Summary:	Hardware probing tool developed by Red Hat
Summary(pl):	Narzdzie do wykrywania sprztu rozwijane przez Red Hata
Name:		kudzu
Version:	1.2.34.3
Release:	2
License:	GPL
Group:		Applications/System
# from ftp://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/%{name}-%{version}.src.rpm
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	7846871272da61f50547901937717704
Source1:	%{name}.init
Patch0:		%{name}-nopython.patch
URL:		http://fedora.redhat.com/projects/additional-projects/kudzu/
BuildRequires:	gettext-devel
BuildRequires:	pciutils-devel >= 2.2.0-4
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-libs
Requires:	hwdata >= 0.169
Requires:	module-init-tools
Requires:	pam >= 0.75
%ifarch ia64
Requires:	/usr/sbin/eepro100-diag
%endif
Obsoletes:	rhs-hwdiag
Obsoletes:	setconsole
Conflicts:	Xconfigurator <= 4.9
Conflicts:	mouseconfig < 4.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%description -l pl
Kudzu to narzdzie do wykrywania sprztu uruchamiane przy wczaniu
systemu, okrelajce jaki sprzt zosta dodany lub usunity.

%package devel
Summary:	Development files needed for hardware probing using kudzu
Summary(pl):	Pliki dla programistw uywajcych kudzu do wykrywania sprztu
Group:		Development/Libraries
Requires:	pciutils-devel

%description devel
The kudzu-devel package contains the libkudzu library, which is used
for hardware probing and configuration.

%description devel -l pl
Ten pakiet zawiera bibliotek libkudzu, uywan do wykrywania sprztu
i konfiguracji.

%package rc
Summary:	rc-scripts for kudzu
Summary(pl):	Skrypty rc dla kudzu
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description rc
rc-scripts for kudzu.

%description rc -l pl
Skrypty rc dla kudzu.

%prep
%setup -q
%patch0 -p1 -b .nopython
install %{SOURCE1} .
mv -f po/eu{_ES,}.po
rm -f po/no.po

# hack: do not start kudzu on s390/s390x on bootup
%ifarch s390 s390x
%{__sed} -i "s/345/-/g" kudzu.init
%endif
%{__sed} -i 's/-Wl,-Bstatic -lpopt/-lpopt -Wl,-Bstatic/' Makefile

%build
ln -s `pwd` kudzu

%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags} -I." \
	DIET= \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-program \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=$RPM_BUILD_ROOT%{_libdir}

install fix-mouse-psaux $RPM_BUILD_ROOT%{_sbindir}

for f in $RPM_BUILD_ROOT%{_datadir}/locale/{eu,fi,id,pl,sk,sr,wa}/LC_MESSAGES/kudzu.mo ; do
	[ "`file $f | sed -e 's/.*,//' -e 's/message.*//'`" -le 1 ] && rm -f $f
done
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post rc
/sbin/chkconfig --add kudzu
%service kudzu restart "kudzu %{version} services"

%preun rc
if [ "$1" = "0" ]; then
	%service kudzu stop
	/sbin/chkconfig --del kudzu
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README hwconf-description
%attr(755,root,root) /sbin/kudzu
%attr(755,root,root) %{_sbindir}/kudzu
%attr(755,root,root) %{_sbindir}/module_upgrade
%attr(755,root,root) %{_sbindir}/fix-mouse-psaux
%{_mandir}/man8/*
%{py_sitedir}/kudzu.py*
%attr(755,root,root) %{py_sitedir}/_kudzumodule.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libkudzu.a
%{_libdir}/libkudzu_loader.a
%{_includedir}/kudzu

%files rc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/kudzu
%attr(754,root,root) /etc/rc.d/init.d/kudzu

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kudzu.spec,v $
Revision 1.37  2006/08/29 20:30:12  glen
- rel 2

Revision 1.36  2006/06/06 17:11:47  glen
- drop hal dep (used just for fstab-sync, which is optional. IMHO!)

Revision 1.35  2006/05/17 22:58:13  glen
- update to 1.2.34.3 (from FC5)
- ddcprobe moved to python-rhpxl
- update URL

Revision 1.34  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.33  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.32  2005/10/17 02:27:11  charles
- updated to 1.2.9
- updated BR, R
- removed outdated -gcc295.patch, cut changelog

Revision 1.31  2005/10/02 20:07:52  arekm
- rel 1

Revision 1.30  2005/04/24 09:06:49  qboosh
- BR: gettext-devel

Revision 1.29  2005/04/24 09:06:01  qboosh
- nb.po exists now, so just remove no.po

Revision 1.28  2005/04/23 21:18:13  patrys
- removed ddcupdate (moved to python-rhpl)

Revision 1.27  2005/04/23 20:35:48  patrys
- forcing dropin refresh

Revision 1.26  2005/04/23 20:26:40  patrys
- up to 1.1.113 from redhat

Revision 1.25  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.24  2005/01/09 18:06:10  saq
- missing pyreqeq

Revision 1.23  2004/07/29 18:32:23  qboosh
- fixed build on amd64, release 0.3

Revision 1.22  2004/07/26 18:12:45  qboosh
- strict internal dep

Revision 1.21  2004/07/26 07:30:01  ankry
- no -> nb, rel. 0.2

Revision 1.20  2003/11/16 00:21:09  qboosh
- better Summary (not only RH...)

Revision 1.19  2003/11/15 19:01:07  qboosh
- updated to 1.1.37 (now ddcprobe should be on ppc too), updated gcc295 patch

Revision 1.18  2003/11/15 12:09:11  qboosh
- use optflags for ddcprobe, py_sitedir macro

Revision 1.17  2003/11/15 11:40:47  qboosh
- ddcprobe is x86-only; pass CC; release 0.4

Revision 1.16  2003/09/08 08:53:20  qboosh
- removed BR sed (already in rpm-build), but BR: perl on s390*
- added verify flags for config files

Revision 1.15  2003/09/06 22:45:29  ankry
- really removed empty translation files

Revision 1.14  2003/09/06 12:45:12  blues
- small cleanup

Revision 1.13  2003/09/06 00:58:25  ankry
- remove empty translation files, rel 0.3

Revision 1.12  2003/09/01 21:11:43  ankry
- s/eu_ES/eu/

Revision 1.11  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.10  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:49:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/24 09:18:38  ggodlewski
- updated to 0.99.89 - somebody has switched files on rawhide :)

Revision 1.7  2003/01/23 12:59:43  ggodlewski
- updated, rc-scripts throw out to separate package

Revision 1.6  2002/12/10 21:25:12  undefine
- update to rawhide version 0.99.82
- small patch to allow build

Revision 1.5  2002/09/18 23:43:43  qboosh
- pl description, cleanups

Revision 1.4  2002/08/19 05:06:20  ggodlewski
- rc scripts in PLD style

Revision 1.3  2002/08/18 22:04:01  ggodlewski
- we have /etc/init.d so it's useless in req

Revision 1.2  2002/08/18 20:31:17  ggodlewski
- updated, adaptarized
